package cn.estsh.i3plus.pojo.mdm.bean.base;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Transient;

/**
 * @Description : MDM业务基础bean
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2020-05-12 17:30
 * @Modify:
 **/
@Data
@ApiModel("MDM业务基础bean")
public class BaseMdmExtdBean extends BaseMdmBean {

    private static final long serialVersionUID = 4267453020130810967L;

    @Transient
    @ApiModelProperty("软件模块")
    @AnnoOutputColumn(refClass = CommonEnumUtil.TRUE_OR_FALSE.class)
    public static Integer mdmSoftType;


}
