package cn.estsh.i3plus.pojo.mdm.bean.busi.core;

import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.mdm.bean.base.BaseMdmExtdBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Description : 主数据齿轮-平台扩展
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2020-05-12 18:09
 * @Modify:
 **/
@Data
@ApiModel("主数据齿轮-平台扩展")
public class MdmGearCoreExtd extends BaseMdmExtdBean {

    private static final long serialVersionUID = -3535174942277452194L;

    // 初始化数据
    static {
        isMdmMaster = CommonEnumUtil.TRUE_OR_FALSE.FALSE.getValue();
        mdmSoftType = CommonEnumUtil.SOFT_TYPE.CORE.getValue();
    }

    @ApiModelProperty("核心数量")
    public String coreNum;

}
